using UnityEngine;
using System.Collections;

public class Cockroach : MonoBehaviour
{
	public float exposedTimer = 5.0f;
	public float moveTimer = 0.0f;
	public float walkSpeed = 2.0f;
	public float heading;
	
	
	void Update()
	{
		var ray = new Ray(transform.position, Vector3.up);
		RaycastHit hit;
		var hasHit = Physics.Raycast(ray, out hit, 0.25f);
		
		if(hasHit && hit.transform.gameObject.layer != 8)
		{
			hasHit = false;
		}
			
		if(!hasHit)
		{
			exposedTimer -= Time.deltaTime;
			if(exposedTimer < 0.0f)
			{
				Destroy(this.gameObject);
			}
			
			moveTimer -= Time.deltaTime;
			if(moveTimer <= 0.0f)
			{
				moveTimer = 1.0f;
				heading = Random.Range(0f, 360f);
				transform.localRotation = Quaternion.Euler(0f, heading, 0f);
			}
			
			transform.position += Quaternion.Euler(0f, heading, 0f) * (Vector3.forward * walkSpeed * Time.deltaTime);
			if(transform.position.x < -3.85f)
			{
				transform.position = new Vector3(-3.85f, transform.position.y, transform.position.z);
			}
			if(transform.position.x > 3.85f)
			{
				transform.position = new Vector3(3.85f, transform.position.y, transform.position.z);
			}
			if(transform.position.z < -4.35f)
			{
				transform.position = new Vector3(transform.position.x, transform.position.y, -4.35f);
			}
			if(transform.position.z > 4.35f)
			{
				transform.position = new Vector3(transform.position.x, transform.position.y, 4.35f);
			}
		}
		else
		{
			exposedTimer = 5.0f;
		}
	}
}
