using System;
using UnityEngine;
using System.Collections;

public class InstructionGUI : MonoBehaviour {

	public GUISkin skin;
	public float splashTime;
	
	public Texture2D backdrop;
	private bool activating;
	private bool activated;
	private string errorMsg;
	private bool switchModes;


	void OnGUI() 
	{
		float scaleFactor = Screen.height / 1000.0f;
		GUI.matrix = Matrix4x4.TRS (new Vector3(Screen.width / 2.0f, Screen.height / 2.0f, 0.0f), Quaternion.identity, new Vector3 (scaleFactor, scaleFactor, 1.0f)); 

		if(skin)
		{
			GUI.skin = skin;
		}
		else
		{
			Debug.Log("GUI skin object missing.");
		}

		GUIStyle backgroundStyle = new GUIStyle();
		backgroundStyle.normal.background = backdrop;
		GUI.Label(new Rect(-888.9f, -500.0f, 1777.8f, 1000.0f), "", backgroundStyle);

		GUI.TextArea(new Rect(-610f, -460f, 1220f, 620f), "");
		GUI.Label(new Rect(-550f, -450f, 1100f, 60f), "Instructions for a Minimalist Lifestyle", "CenterLabel");
		GUI.Label(new Rect(-550f, -350f, 1000f, 60f), "- Use WASD to move.", "ScoreLabel");
		GUI.Label(new Rect(-550f, -290f, 1000f, 60f), "- Left mouse button selects junk items strewn about.", "ScoreLabel");
		GUI.Label(new Rect(-550f, -230f, 1000f, 60f), "- Right mouse button controls camera.", "ScoreLabel");
		GUI.Label(new Rect(-550f, -170f, 1000f, 60f), "- The goal is to reach 10,000 points as quickly as possible.", "ScoreLabel");
		GUI.Label(new Rect(-550f, -110f, 1000f, 60f), "- Sell or trash items to earn points.", "ScoreLabel");
		GUI.Label(new Rect(-550f, -50f, 1000f, 60f), "- At first, your character will only be willing to part with garbage.", "ScoreLabel");
		GUI.Label(new Rect(-550f, 10f, 1000f, 60f), "- Build your character's will by disposing of lesser items.", "ScoreLabel");
		GUI.Label(new Rect(-550f, 70f, 1000f, 60f), "- Random events may present opportunities and/or cost money.", "ScoreLabel");
		
		if(GUI.Button(new Rect(-150f, 200f, 300f, 150f), "Start"))
		{
			SceneManager.LoadScene("Playfield");
		}
	}
}

