using UnityEngine;
using System.Collections;

public class Junk : MonoBehaviour
{
	public string junkType;
	public int money = 1;
	public int sentiment = 1000;
	public int clutter = 100;
	public bool randomMoney = false;
	public bool randomSentiment = false;
	public Texture icon;
	public string flavorText;
	public float spacingHeight = 1f;
	public int spawnWeight = 10;
	public int maxStackHeight = 5;
	public bool isSelling;
	public bool isDestroyed;
	private float lastCollisionTime;
	private float sellCheckCooldown;
	
	void Start()
	{
		if(randomMoney)
		{
			money = Random.Range(1, money);
		}
		
		if(randomSentiment)
		{
			sentiment = Random.Range(1, money);
		}
	}
	
	void Update()
	{
		if(Time.timeScale > 0f)
		{
			if(isSelling)
			{
				sellCheckCooldown -= Time.deltaTime;
				
				if(sellCheckCooldown < 0f)
				{
					if(Random.Range(0, 250000) < money * money)
					{
						GetRidOfIt(money);
					}
					sellCheckCooldown = 1f;
				}
			}
		}
	}
	
	public void GetRidOfIt(int soldFor)
	{
		var player = FindObjectOfType(typeof(PlayerController)) as PlayerController;
		
		if(player != null)
		{
			player.money += soldFor;
			player.score += clutter;
			player.SetGameMessage(junkType + ": " + clutter + " points.");
			player.willingness += GetEffectOnWillingness(player.willingness, soldFor);
		
		}
		if(soldFor > 0)
		{
			player.SetGameMessage(junkType + " sold for " + soldFor.ToString("C0") + ", " + clutter + " points.");
			player.PlayMoneySound();
		}

		isDestroyed = true;
		Destroy(this.gameObject);
		
	}
	
	public void CleaningServiceGetRidOfIt()
	{
		var player = FindObjectOfType(typeof(PlayerController)) as PlayerController;
		
		if(player != null)
		{
			player.score += clutter;
		}

		isDestroyed = true;
		Destroy(this.gameObject);
	}

	public int GetEffectOnWillingness(int currentWillingness, int soldFor)
	{
		var effectiveSentiment = sentiment - soldFor;
		if(effectiveSentiment * 5 <= System.Math.Max(currentWillingness - 10, 0))
		{
			return 1;
		}
		else
		{
			return 0;	
		}
	}
}
