using UnityEngine;
using System.Collections;

public class JunkSpawner : MonoBehaviour
{
	public Junk[] junkPrefabs;
	public int[] junkWeights;
	public int junksToSpawn = 100;
	public Vector3 spawnSize = Vector3.zero;
	
	// Use this for initialization
	void Start () 
	{
		int spawnCount = junksToSpawn;
		
		while(spawnCount > 0)
		{
			var prefabIndex = Random.Range(0, junkPrefabs.Length);
			var testPosition = transform.position + new Vector3(Random.Range(0f, spawnSize.x), Random.Range(0f, spawnSize.y), Random.Range(0f, spawnSize.z));
			
			var prefabsToSpawn = Random.Range(0, junkPrefabs[prefabIndex].maxStackHeight) + 1;
			var ray = new Ray(testPosition, Vector3.down);
			RaycastHit hit;
			
			if(Physics.Raycast(ray, out hit))
			{
				testPosition = hit.point;
			}
			//Debug.Log(testPosition);
			for(int i = 0; i < prefabsToSpawn; i++)
			{
				if(testPosition.y > 2.0f)
				{
					break;
				}

				var spawnRotation = Quaternion.Euler(0f, Random.Range(0f, 360f), 0f);
				Instantiate(junkPrefabs[prefabIndex], testPosition, spawnRotation);
				spawnCount--;
				testPosition += Vector3.up * junkPrefabs[prefabIndex].spacingHeight;
			}
		}
	
	}
	
	public int SpawnByValue(int money)
	{
		var remainingSpend = money;
		var newClutter = 0;
		
		while (remainingSpend > 0)
		{
			var prefabIndex = Random.Range(0, junkPrefabs.Length);
			
			if(!junkPrefabs[prefabIndex].randomMoney)
			{
				var testPosition = transform.position + new Vector3(Random.Range(0f, spawnSize.x), Random.Range(0f, spawnSize.y), Random.Range(0f, spawnSize.z));
				
				var prefabsToSpawn = Random.Range(0, junkPrefabs[prefabIndex].maxStackHeight) + 1;
				var ray = new Ray(testPosition, Vector3.down);
				RaycastHit hit;
				
				if(Physics.Raycast(ray, out hit))
				{
					testPosition = hit.point;
				}
				//Debug.Log(testPosition);
				for(int i = 0; i < prefabsToSpawn; i++)
				{
					if(testPosition.y > 2.0f)
					{
						break;
					}
					
					var spawnRotation = Quaternion.Euler(0f, Random.Range(0f, 360f), 0f);
					Instantiate(junkPrefabs[prefabIndex], testPosition, spawnRotation);
					remainingSpend -= junkPrefabs[prefabIndex].money * 2;
					newClutter += junkPrefabs[prefabIndex].clutter / 2;
					testPosition += Vector3.up * junkPrefabs[prefabIndex].spacingHeight;
				}
			}
		}
		
		return newClutter;
	}
	
	// Update is called once per frame
	void Update () {
	
	}
}
