using System;
using UnityEngine;
using System.Collections;

public class PSAGUI : MonoBehaviour {

	public GUISkin skin;
	public float splashTime;
	
	public Texture2D backdrop;
	private bool activating;
	private bool activated;
	private string errorMsg;
	private bool switchModes;


	void OnGUI() 
	{
		float scaleFactor = Screen.height / 1000.0f;
		GUI.matrix = Matrix4x4.TRS (new Vector3(Screen.width / 2.0f, Screen.height / 2.0f, 0.0f), Quaternion.identity, new Vector3 (scaleFactor, scaleFactor, 1.0f)); 

		if(skin)
		{
			GUI.skin = skin;
		}
		else
		{
			Debug.Log("GUI skin object missing.");
		}

		GUIStyle backgroundStyle = new GUIStyle();
		backgroundStyle.normal.background = backdrop;
		GUI.Label(new Rect(-888.9f, -500.0f, 1777.8f, 1000.0f), "", backgroundStyle);

		GUI.TextArea(new Rect(-610f, -460f, 1220f, 800f), "");
		GUI.Label(new Rect(-550f, -450f, 1000f, 60f), "Hoarding is a Disorder", "CenterLabel");
		GUI.Label(new Rect(-550f, -350f, 1000f, 240f), 
			"Compulsive hoarding is a pattern of behavior that is characterized by the excessive acquisition of and inability or unwillingness to discard large quantities of objects that cover the living areas of the home and cause significant distress or impairment. Compulsive hoarding behavior has been associated with health risks, impaired functioning, economic burden, and adverse effects on friends and family members.",
			"PSAText"
			);
		GUI.Label(new Rect(-550f, -120f, 1000f, 240f), 
			"This game is intended to shed light on and promote discussion of this unhealthy behavior, though it cannot even begin to capture some of the horrors that can be caused by this illness.",
			"PSAText"
			);
		GUI.Label(new Rect(-550f, 10f, 1000f, 240f), 
			"If you know someone who is a compulsive hoarder, please, make sure that they seek out the help that they need.",
			"PSAText"
			);
		GUI.Label(new Rect(-550f, 130f, 1000f, 240f), 
			"For more information, please visit the IOCDF foundation at http://www.ocfoundation.org/hoarding/.  Thank you.",
			"PSAText"
			);
		
		if(GUI.Button(new Rect(-150f, 360f, 300f, 120f), "Back"))
		{
			SceneManager.LoadScene("Menu");
		}
	}
}

