using System;
using UnityEngine;
using System.Collections;

public class TitleGUI : MonoBehaviour {

	public GUISkin skin;
	public float splashTime;
	
	public Texture2D backdrop;
	private bool activating;
	private bool activated;
	private string errorMsg;
	private bool switchModes;


	void OnGUI() 
	{
		float scaleFactor = Screen.height / 1000.0f;
		GUI.matrix = Matrix4x4.TRS (new Vector3(Screen.width / 2.0f, Screen.height / 2.0f, 0.0f), Quaternion.identity, new Vector3 (scaleFactor, scaleFactor, 1.0f)); 

		if(skin)
		{
			GUI.skin = skin;
		}
		else
		{
			Debug.Log("GUI skin object missing.");
		}

		GUIStyle backgroundStyle = new GUIStyle();
		backgroundStyle.normal.background = backdrop;
		GUI.Label(new Rect(-888.9f, -500.0f, 1777.8f, 1000.0f), "", backgroundStyle);
		GUI.Label(new Rect(-500f, -250f, 1000f, 120f), "Dehoarder", "Title");
		
		if(GUI.Button(new Rect(-200f, 70f, 400f, 200f), "Play"))
		{
			SceneManager.LoadScene("Instruction");
		}

		if(GUI.Button(new Rect(475f, 240f, 300f, 60f), "More Info"))
		{
			SceneManager.LoadScene("PSA");
		}

		GUI.Label(new Rect(-785f, 360f, 770f, 200f), "", "textArea");
		GUI.Label(new Rect(-775f, 370f, 750f, 60f), "(C) 2013 Smiling Cat Entertainment LTD", "ScoreLabel");
		GUI.Label(new Rect(-775f, 430f, 750f, 60f), "All Rights Reserved", "ScoreLabel");

		GUI.Label(new Rect(465f, 360f, 320f, 140f), "", "textArea");
		GUI.Label(new Rect(475f, 370f, 300f, 60f), "Version 1.0.0.3", "RightLabel");
		GUI.Label(new Rect(475f, 430f, 300f, 60f), "Ludum Dare 26", "RightLabel");
		
	}
}

